×

Discussion Board

Results 1 to 6 of 6
  1. #1
    Registered User
    Join Date
    May 2006
    Posts
    5

    Unhappy Application Development for Series 60 Phones NEED HELP

    hi,

    i've got a Nokia N-Gage QD Game Deck.
    I want to develop applications for my mobile.

    I have already got the following tools in my system


    1) ActivePerl 5.8
    2) Microsoft Visual Studio .NET 2003 Enterprise Architect (English Edition)
    3) Carbide VS 2.0.1 IDE
    4) Nokia Series 60 2.0 SDK for Symbian C++


    and i tried building apps but when i installed in my phone, it is saying this device is not compatible.

    so wat do i have to do
    kindly reply soon

    Regards & Thanks
    Raghunathan.S

  2. #2
    Super Contributor
    Join Date
    Mar 2003
    Location
    Finland
    Posts
    9,553

    Re: Application Development for Series 60 Phones NEED HELP

    For the N-Gage QD, you need to use the "Series 60 1.2" (S60 1st Edition) SDK, as the QD uses Symbian 6.1/Series 60 1.2.

    The Series 60 2.0 SDK (S60 2nd Edition) is for newer phones (6600 & similar).

    However, I'm not sure there is an S60 1.2 SDK that works with VS.NET 2003.

  3. #3
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Oslo, Norway
    Posts
    28,672

    Re: Application Development for Series 60 Phones NEED HELP

    Quote Originally Posted by raghunathans
    and i tried building apps but when i installed in my phone, it is saying this device is not compatible.
    Petrib is right, applications compiled with 2nd edition usually do not work on 1st edition devices. However the immediate cause of the installation error is the line (the one starting with ';' is just a comment)
    Code:
    ;Supports Series 60  v2.0
    (0x101F7960), 0, 0, 0, {"Series60ProductID"}
    which is probably present in your .pkg.
    (it might be Series60 2.1: 0x101F9115 or Series60 2.2: 0x10200BAB also, depending on your SDK)
    Replace it with
    Code:
    ;Supports Series 60  v0.9
    (0x101F6F88), 0, 0, 0, {"Series60ProductID"}
    and the installation will succeed on any 1st edition device.

  4. #4
    Registered User
    Join Date
    May 2006
    Posts
    5

    Unhappy Re: Application Development for Series 60 Phones NEED HELP

    still im getting error while installing the sis file in the mobile.

    error msg:
    Application requires Series60ProductID

    plz help

  5. #5
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Oslo, Norway
    Posts
    28,672

    Re: Application Development for Series 60 Phones NEED HELP

    Could you please show us your .pkg file?

  6. #6
    Registered User
    Join Date
    May 2006
    Posts
    5

    Red face Re: Application Development for Series 60 Phones NEED HELP

    PKG file before building the APPLICATION
    =========================================================
    ;
    ; Installation file for Raghu application
    ;
    ;Languages
    &EN
    ;
    ; UID is the app's UID
    ;
    #{"Raghu"},(0x0f823b06),1,0,0
    ;
    ;Supports Series 60 v 0.9
    ;This line indicates that this installation is for the Series 60 platform v0.9
    ;This line must appear _exactly_ as shown below in the sis file
    ;If this line is missing or incorrect, the sis file will not be able
    ;to be installed on Series 60 v0.9 platforms
    (0x101F6F88), 0, 0, 0, {"Series60ProductID"}
    ;
    ; Four files to install
    ;
    "..\..\..\\Epoc32\release\thumb\urel\Raghu.app" -"!:\system\apps\Raghu\Raghu.app"
    "..\..\..\\Epoc32\data\z\system\apps\Raghu\Raghu.rsc" -"!:\system\apps\Raghu\Raghu.rsc"
    "..\..\..\\Epoc32\data\z\system\apps\Raghu\Raghu_caption.rsc" -"!:\system\apps\Raghu\Raghu_caption.rsc"
    "..\..\..\\Epoc32\data\z\system\apps\Raghu\Raghu.aif" -"!:\system\apps\Raghu\Raghu.aif"

    ==========================================================

    after building my application, PKG file looks like this
    ------------------------------------------------

    ; Hello.pkg

    ; Languages
    &EN

    ; Header
    #{"Hello"},(0x075017de), 0, 1, 1

    ; Platform compatibility
    (0x101F6F88), 0, 0, 0, {"Series60ProductID"}

    ; Target
    "C:\Symbian\7.0s\Series60_v20\Epoc32\release\armi\UREL\Hello.app"-"!:\system\apps\Hello\Hello.app"
    "C:\Symbian\7.0s\Series60_v20\Epoc32\data\z\system\apps\Hello\Hello.aif"-"!:\system\apps\Hello\Hello.

    aif"
    "C:\Symbian\7.0s\Series60_v20\Epoc32\data\z\system\apps\Hello\Hello.rSC"-"!:\system\apps\Hello\Hell

    o.rSC"
    "C:\Symbian\7.0s\Series60_v20\Epoc32\data\z\system\apps\Hello\Hello_caption.rSC"-"!:\system\apps\H
    ello\Hello_caption.rSC"

    =======================================================

    plz help me

    im struggling for past 4 days

    regards & thanks
    raghunathan

Similar Threads

  1. Software Development Opportunities (MMI, Mobile Phones)
    By mobile2004 in forum Symbian User Interface
    Replies: 0
    Last Post: 2004-04-21, 16:34
  2. Seeking J2ME Development Partner - Ent. application
    By mysticgarden in forum Mobile Java General
    Replies: 0
    Last Post: 2003-06-12, 11:53
  3. SMS TDMA Application Development
    By mvasilje in forum General Messaging
    Replies: 1
    Last Post: 2003-05-29, 04:28
  4. filtering application as a recipient?
    By aidj in forum General Messaging
    Replies: 1
    Last Post: 2002-11-12, 06:26
  5. help indeeded in application development
    By enstedt in forum General Messaging
    Replies: 2
    Last Post: 2002-05-17, 08:43

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×